Summary:	XSL stylesheets for the Yelp help browser
Summary(pl.UTF-8):	Arkusze styli XSL dla przeglądarki pomocy Yelp
Name:		yelp-xsl
Version:	3.34.2
Release:	1
# depending on part, see COPYING
License:	GPL v2+, LGPL v2+, MIT (see COPYING)
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/yelp-xsl/3.34/%{name}-%{version}.tar.xz
# Source0-md5:	b9c1c53a9114b42054789f212ab37f59
URL:		https://wiki.gnome.org/Apps/Yelp
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11.2
BuildRequires:	gettext-tools >= 0.19.4
BuildRequires:	itstool >= 1.2.0
BuildRequires:	libxml2-progs >= 1:2.6.12
BuildRequires:	libxslt-progs >= 1.1.8
BuildRequires:	pkgconfig
BuildRequires:	python3-ducktype
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
yelp-xsl is a collection of programs and data files to help you build,
maintain, and distribute documentation. It provides XSLT stylesheets
that can be built upon for help viewers and publishing systems. These
stylesheets output JavaScript and CSS content, and reference images
provided by yelp-xsl. This package also redistributes copies of the
jQuery and jQuery.Syntax JavaScript libraries.

%description -l pl.UTF-8
yelp-xsl to zbiór plików programów i danych pomocnych przy budowaniu,
utrzymywaniu i dystrybucji dokumentacji. Zawiera arkusze styli XSLT,
w oparciu o które można zbudować przeglądarki pomocy i systemy
publikowania. Wyjściem arkuszy jest treść w JavaScripcie i CSS oraz
obrazki referencyjne zawarte w pakiecie. Pakiet zawiera także kopie
bibliotek JavaScriptu jQuery i jQuery.Syntax.

%prep
%setup -q

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
%if "%{_host_cpu}" != "x32"
	--host=%{_host} \
	--build=%{_host} \
%endif
	--enable-doc
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/yelp-xsl
%{_npkgconfigdir}/yelp-xsl.pc
%changelog
* Sat Nov 23 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yelp-xsl.git;a=log;h=master

* Sat Nov 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 2ec9d8c
- updated to 3.34.2

* Thu Sep 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 27041ea
- updated to 3.34.0

* Sat Apr 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 49fa1a8
- updated to 3.32.1, updated description

* Sat Oct 06 2018 Jakub Bogusz <qboosh@pld-linux.org> d9fa89f
- updated to 3.30.1

* Mon Mar 12 2018 Marcin Banasiak <marcin.banasiak@gmail.com> c5b34a3
- Update to 3.28.0

* Mon Apr 11 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e789354
- Update to 3.20.1

* Mon Mar 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 86ede84
- Update to 3.20.0

* Tue Oct 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 7ba177f
- updated to 3.18.1

* Mon Sep 21 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 96136b9
- Update to 3.18.0

* Sun Apr 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> 0395d2a
- updated to 3.16.1

* Tue Mar 24 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 52fe785
- Update to 3.16.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 5f6def2
- updated gettext BR

* Fri Oct 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 53d8ee0
- xmllint and xsltproc are needed, not development packages

* Sun Sep 28 2014 Łukasz Kieś <kiesiu@pld-linux.org> 017625e
- updated to 3.14.0

* Tue Mar 25 2014 Marcin Banasiak <marcin.banasiak@gmail.com> c7ea138
- Update to 3.12.0

* Tue Oct 15 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 655f7e5
- Update to 3.10.1

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> af32924
- updated to 3.10.0

* Tue May 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 9a942e9
- updated to 3.8.1

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> d412d19
- updated to 3.8.0

* Thu Oct 18 2012 Jakub Bogusz <qboosh@pld-linux.org> b7185bd
- ac version

